Commit ae36c1b9122e8bd3dfb6a239f97d64dc88276bd3

Authored by zhangxiaowen
1 parent bf7a7898

no message

CNLiveMineModule/Classes/Controller/CNLiveMineController.m
... ... @@ -123,7 +123,7 @@ static const CGFloat timeValue = 1.5;
123 123 ];
124 124 for(NSDictionary *dic in data){
125 125 CNLiveMineModel *model = [CNLiveMineModel mj_objectWithKeyValues:dic];
126   - [model editModel:NO];
  126 +// [model editModel:NO];
127 127 [self.data addObject:model];
128 128 }
129 129 [self.tableView reloadData];
... ... @@ -322,8 +322,8 @@ static const CGFloat timeValue = 1.5;
322 322 }
323 323 else if(tag == 10002){
324 324 // 收藏
325   -// XWCollectionController *vc = [[XWCollectionController alloc]init];
326   -// [self.navigationController pushViewController:vc animated:YES];
  325 + id<CNLiveCollectionServiceProtocol> service = [[BeeHive shareInstance] createService:@protocol(CNLiveCollectionServiceProtocol)];
  326 + [service pushToCollectionViewController];
327 327 }
328 328 else if(tag == 10003){
329 329 // 发布记录
... ... @@ -364,7 +364,14 @@ static const CGFloat timeValue = 1.5;
364 364 break;
365 365 case CNLiveMineCellTypeSports:
366 366 {
367   -
  367 + if(tag == 10000){
  368 + // 我的活动
  369 +
  370 + }
  371 + else if(tag == 10001){
  372 + // 我的记录
  373 +
  374 + }
368 375 }
369 376 break;
370 377  
... ...
Example/CNLiveMineModule.xcodeproj/project.pbxproj
... ... @@ -234,8 +234,8 @@
234 234 6003F586195388D20070C39A /* Sources */,
235 235 6003F587195388D20070C39A /* Frameworks */,
236 236 6003F588195388D20070C39A /* Resources */,
237   - 8BC5D5341908A554008FD210 /* [CP] Embed Pods Frameworks */,
238   - ECC8F98B1422C65FB0FA5F8B /* [CP] Copy Pods Resources */,
  237 + 179A773721B29DE922FE36E4 /* [CP] Embed Pods Frameworks */,
  238 + 74528FB96C480F38FE82703E /* [CP] Copy Pods Resources */,
239 239 );
240 240 buildRules = (
241 241 );
... ... @@ -326,7 +326,7 @@
326 326 /* End PBXResourcesBuildPhase section */
327 327  
328 328 /* Begin PBXShellScriptBuildPhase section */
329   - 8BC5D5341908A554008FD210 /* [CP] Embed Pods Frameworks */ = {
  329 + 179A773721B29DE922FE36E4 /* [CP] Embed Pods Frameworks */ = {
330 330 isa = PBXShellScriptBuildPhase;
331 331 buildActionMask = 2147483647;
332 332 files = (
... ... @@ -430,29 +430,31 @@
430 430 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-frameworks.sh\"\n";
431 431 showEnvVarsInLog = 0;
432 432 };
433   - A9B5D0EFC5B6FCA241FAE929 /* [CP] Check Pods Manifest.lock */ = {
  433 + 74528FB96C480F38FE82703E /* [CP] Copy Pods Resources */ = {
434 434 isa = PBXShellScriptBuildPhase;
435 435 buildActionMask = 2147483647;
436 436 files = (
437 437 );
438   - inputFileListPaths = (
439   - );
440 438 inputPaths = (
441   - "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
442   - "${PODS_ROOT}/Manifest.lock",
443   - );
444   - name = "[CP] Check Pods Manifest.lock";
445   - outputFileListPaths = (
  439 + "${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh",
  440 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMineModule/CNLiveMineModule.bundle",
  441 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMyOrderModule/CNLiveMyOrderModule.bundle",
  442 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveQrCodeModule/CNLiveQrCodeModule.bundle",
  443 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveSettingModule/CNLiveSettingModule.bundle",
446 444 );
  445 + name = "[CP] Copy Pods Resources";
447 446 outputPaths = (
448   - "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Example-checkManifestLockResult.txt",
  447 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMineModule.bundle",
  448 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMyOrderModule.bundle",
  449 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveQrCodeModule.bundle",
  450 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveSettingModule.bundle",
449 451 );
450 452 runOnlyForDeploymentPostprocessing = 0;
451 453 shellPath = /bin/sh;
452   - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  454 + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh\"\n";
453 455 showEnvVarsInLog = 0;
454 456 };
455   - BFE3DD8ECDF347EE483385B5 /* [CP] Check Pods Manifest.lock */ = {
  457 + A9B5D0EFC5B6FCA241FAE929 /* [CP] Check Pods Manifest.lock */ = {
456 458 isa = PBXShellScriptBuildPhase;
457 459 buildActionMask = 2147483647;
458 460 files = (
... ... @@ -467,35 +469,33 @@
467 469 outputFileListPaths = (
468 470 );
469 471 outputPaths = (
470   - "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Tests-checkManifestLockResult.txt",
  472 + "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Example-checkManifestLockResult.txt",
471 473 );
472 474 runOnlyForDeploymentPostprocessing = 0;
473 475 shellPath = /bin/sh;
474 476 shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
475 477 showEnvVarsInLog = 0;
476 478 };
477   - ECC8F98B1422C65FB0FA5F8B /* [CP] Copy Pods Resources */ = {
  479 + BFE3DD8ECDF347EE483385B5 /* [CP] Check Pods Manifest.lock */ = {
478 480 isa = PBXShellScriptBuildPhase;
479 481 buildActionMask = 2147483647;
480 482 files = (
481 483 );
  484 + inputFileListPaths = (
  485 + );
482 486 inputPaths = (
483   - "${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh",
484   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMineModule/CNLiveMineModule.bundle",
485   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMyOrderModule/CNLiveMyOrderModule.bundle",
486   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveQrCodeModule/CNLiveQrCodeModule.bundle",
487   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveSettingModule/CNLiveSettingModule.bundle",
  487 + "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
  488 + "${PODS_ROOT}/Manifest.lock",
  489 + );
  490 + name = "[CP] Check Pods Manifest.lock";
  491 + outputFileListPaths = (
488 492 );
489   - name = "[CP] Copy Pods Resources";
490 493 outputPaths = (
491   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMineModule.bundle",
492   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMyOrderModule.bundle",
493   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveQrCodeModule.bundle",
494   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveSettingModule.bundle",
  494 + "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Tests-checkManifestLockResult.txt",
495 495 );
496 496 runOnlyForDeploymentPostprocessing = 0;
497 497 shellPath = /bin/sh;
498   - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh\"\n";
  498 + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
499 499 showEnvVarsInLog = 0;
500 500 };
501 501 /* End PBXShellScriptBuildPhase section */
... ...